Ralink Wireless legacy drivers (rt2500 rt61 rt73 rt2570) USB/PCMCIA/PCI hangs PC

Bug #34902 reported by Carel van Straten on 2006-03-14
186
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.17 (Ubuntu)
Low
Unassigned
linux-source-2.6.22 (Baltix)
Undecided
Unassigned
linux-ubuntu-modules-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

Having trouble to get my wireless up and running. I'm using a RT2570 USB wireless card and Dapper. Wireless is enabled with WPA TKIP

1. If I issue "sudo iwlist rausb0 scan" it does not give any results.
2. dmesg gives: [4294696.168000] rausb0 (WE) : Driver using old /proc/net/wireless support, please fix driver !
3. This /etc/network/interfaces let's the full PC hang during boot up

auto rausb0
iface rausb0 inet dhcp
pre-up ifconfig rausb0 up
pre-up ifconfig rausb0 down
pre-up iwconfig rausb0 essid "???"
pre-up iwconfig rausb0 mode Managed
pre-up iwpriv rausb0 auth 3
pre-up iwpriv rausb0 enc 3
pre-up iwpriv rausb0 wpapsk "???"
pre-up ifconfig rausb0 up

lsusb output:
Bus 005 Device 007: ID 148f:2570 Ralink Technology, Corp. 802.11g WiFi

lspci:
0000:00:00.0 Host bridge: Intel Corporation 915G/P/GV/GL/PL/910GL Processor to I /O Controller (rev 04)
0000:00:01.0 PCI bridge: Intel Corporation 915G/P/GV/GL/PL/910GL PCI Express Roo t Port (rev 04)
0000:00:1b.0 0403: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High De finition Audio Controller (rev 03)
0000:00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) P CI Express Port 1 (rev 03)
0000:00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Famil y) USB UHCI #1 (rev 03)
0000:00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Famil y) USB UHCI #2 (rev 03)
0000:00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Famil y) USB UHCI #3 (rev 03)
0000:00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Famil y) USB UHCI #4 (rev 03)
0000:00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Famil y) USB2 EHCI Controller (rev 03)
0000:00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d3)
0000:00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge (rev 03)
0000:00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family ) IDE Controller (rev 03)
0000:00:1f.2 IDE interface: Intel Corporation 82801FR/FRW (ICH6R/ICH6RW) SATA Co ntroller (rev 03)
0000:00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
0000:01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6610 XL ] (rev a2)
0000:03:01.0 Multimedia controller: Philips Semiconductors SAA7134 Video Broadca st Decoder (rev 01)
0000:03:03.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Control ler (rev 80)
0000:03:04.0 Communication controller: Agere Systems V.92 56K WinModem (rev 03)
0000:03:06.0 Ethernet controller: VIA Technologies, Inc. VT6105 [Rhine-III] (rev 8b)

I am using a D-Link DWL-G122 (Rev B) USB WLAN Adapter with Ubuntu "Dapper Drake 6.06" Kernel 2.6.15-19-386 and experience the problem similar, only in my case the freeze occurs if I issue a "ifup rausb0" command. Better information not available, as system has to be switched off and on to get going. But I checked the Kernel-Sources, the driver distributed is the Latest BETA rt2570 driver: v1.1.0-b1 from http://rt2x00.serialmonkey.com/wiki/index.php/Downloads. If I use rt2570 USB nightly CVS tarball: rt2570-CVS
from the same page, everything works fine ( WEP as well as WPA )

Casual

Barry Shilliday (teppic74) wrote :

I can confirm this problem too.

Using an Asus WL-167g USB adapter, the system locks up if I try to enable wireless networking.

I can use this device without a problem on Gentoo, where I am using the nightly CVS version (the 'stable' release will not compile cleanly against newer kernels).

Barry Shilliday (teppic74) wrote :

Changing to major as this causes a complete hard lock.

I can confirm that this is still a problem on the latest Dapper Beta with kernel 2.6.15-23-686. Hard lock as soon as I activate the wl-167g.

Well seems not only the USBstick hangs up the PC. I have an Amilo A1630 Notebook with integrated rt2500 WLAN chipset. When i activate the device i can work some minutes then Notebook frezzes.

Me too, I'm running an Averatec 3715-EH1 laptop with an internal RT2500 wireless card. Worked perfectly in Breezy, then I apt-get dist-upgraded to Dapper yesterday. Now when I 'ifup ra0' or 'dhclient ra0' the system hangs.

Joe potter (jpotter1034) wrote :

I can confirm that the rt2500 chip also has problems if used with a router and WPA. I see this on 5 different boxes of different types.

Javier Jardón (jjardon) wrote :

I can confirm that this is still a problem on the latest Dapper Beta with kernel 2.6.15-23.39.
I have a rt2500 PCMCIA based card (Conceptronic C54RC).
Always work ok (since hoary) but with the latest upgrade the system hangs.

same here with a D-Link DWL-G122 b1. Complete lock-up when activating the interface on Dapper. Any drivers reported working?

Steve (spatz200) wrote :

I can conform this is not just a USB problem. None of the flights I tested worked. I have a Averatec 3250, with a RT2500 chip. As soon as I try to enable ra0, the whole system locks up and I have to power down.

I can do extensive testing if needed.

Steve (spatz200) wrote :

Here is something that may help. My Ethernet card and my Wireless card ( both built in ) were sharing IRQ 11 ) If I enabled PCI=routeirq at the kernel boot, I no longer get lockups.

chotchki (chotchki) wrote :

I tried the pci=routeirq suggestion but that did not seem to work.

I just tried installing an older version of the rt2500 driver that I was using successfully in Breezy, but nothing changed. I used rt2500-1.1.0-b3, and followed the directions here: https://wiki.ubuntu.com/WifiDocs/RalinkRT2500/DriverAndRaconfig

The system still hangs on dhclient.

1 comments hidden view all 195 comments
Javier Jardón (jjardon) wrote :

Teh problem is ubuntu probably shipped with an older version of the rt2500 driver.

See this post http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?t=1481

On Sun, 2006-06-04 at 15:26 +0000, Javier Jardón wrote:
> Teh problem is ubuntu probably shipped with an older version of the
> rt2500 driver.

We shipped with the latest stable of the legacy driver (not the rt2x00
one, which is broken on both of my rt2500's).

We also did not use the CVS version as it had it's own problems. This is
a matter of rt2x00 not being stable, IMO. The project really needs some
maturing, and really needs to be releasing more often.

Well that is indeed a valid point, but we don't have any plans to make a new release at this moment.
 This is the response of IvD (core rt2x00 developer):

> Since rt2400, rt2570 don't have SMP support, and rt2500 only has it in the latest CVS >code I would recommend to them they drop the Ralink drivers altogether untill rt2x00 is >released. The SMP issue will _not_ be solved in the legacy drivers which means that it >will _never_ work with the default Ubuntu kernel if they have SMP enabled by default.
>And rt2x00 is near a beta4 release, which will not be suited for distros yet, so they will >have to keep waiting a while before things have stabilized and are ready.

>(I am currently discussing this on the IRC channel, they will most likely update rt2500 to latest CVS version.)

See this post http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?t=1481

IvD (ivdoorn) wrote :

After the discussion on IRC, the result is that I will assist with rt2x00 related bugs filed in launchpad. That will give me a lot of testers of the rt2x00 code which helps me with debugging and stabilizing rt2x00. So rt2x00 should be stable when the next ubuntu release is made. :)

On Sun, 2006-06-04 at 18:15 +0000, IvD wrote:
> After the discussion on IRC, the result is that I will assist with
> rt2x00 related bugs filed in launchpad. That will give me a lot of
> testers of the rt2x00 code which helps me with debugging and stabilizing
> rt2x00. So rt2x00 should be stable when the next ubuntu release is made.

The other side of the coin is that I will be pulling rt2500-legacy from
CVS for dapper-updates to hopefully help with the SMP related crashes
there.

Changed in linux-source-2.6.15:
assignee: nobody → ben-collins
status: Confirmed → Fix Committed

confirmed on ubuntu 6.06 final.

scwizard (starcraft4ever) wrote :

My friend has a very similar problem with gigabyte wp01gs.

This bug is quite high when it comes to criticalness (I found it by sorting all bugs by criticalness). I really hope to see if patched soon.

scwizard (starcraft4ever) wrote :

It works on the CVS of the driver:
http://rt2x00.serialmonkey.com/wiki/index.php/Downloads

This has been confirmed by a few sites I think.

scwizard (starcraft4ever) wrote :

Oh ya, including this one *head2desk*

Ben Collins (ben-collins) wrote :

And if you'll notice the bug has been marked "Fix commited", which means we have the fix, just waiting for the upload.

muadib (mathieu-opalescent) wrote :

"Re: Ralink Wireless USB hangs PC Posted by coldsalmon at 2006-05-28 07:42:39 UTC

Me too, I'm running an Averatec 3715-EH1 laptop with an internal RT2500 wireless card. Worked perfectly in Breezy, then I apt-get dist-upgraded to Dapper yesterday. Now when I 'ifup ra0' or 'dhclient ra0' the system hangs.
"

I had the same problem, I think that it has to do with the latest via Xorg driver. When I put:
Option "DisableIRQ"
to the /etc/X11/xorg.conf file the problem went away.

Code:

Section "Device"
Identifier "VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter"
Driver "via"
BusID "PCI:1:0:0"
Option "DisableIRQ"
EndSection

Ed G. (zrchrn) wrote :

muadib how do you think the wifi and xorg are related to the hanging of the pc? I have suspected this but I have had no evidence to belive this. Or is it something to do with IRQ? I have had the same exact problem with Arch Linux as well, using both the native linux driver (rt2570) as well as ndiswrapper.

tz (thomas-mich) wrote :

I also had to add irqpoll to the bootup (in /boot/grub/menu.lst, where it says "kernel ... vmlinuz ... ro". I haven't tried removing the option from xorg, but my Avaratec now works. I added the irqpoll since I got the message that IRQ185 wasn't being handled.

I think the irq "multiplexer" in the kernel confuses the display with the ralink card, or that the ralink driver is getting confused and wants to respond to display or conversely the card is pointing at the display IRQ.
I think upping the debug on the kernel module and looking which IRQ it is trying to use might isolate the problem which I might try later. I'd also look for subtle changes with the IRQ master handling between 2.6.12 and the current kernel - including #def IRQ type things.

Changed in linux-source-2.6.15:
status: Fix Committed → Fix Released
Barry Shilliday (teppic74) wrote :

With the new kernel (2.6.15-25) I am still getting a system lock when activating the driver.

tz (thomas-mich) wrote :

I don't have the new kernel.

I have three changes which make it work on my Averatec for the internal rt2500 card.

I don't know if all are necessary or if just one or two are required.

1. In the driver itself, rtmp_init.c, right at the end, there is an #if which switches del_timer and del_timer_sync. I have it forced to use the _sync version.

2. In /etc/X11/xorg.conf I have the Option "DisableIRQ" line added to the driver.

3. In my boot string /boot/grub/menu.lst I've added "irqpoll" after "ro".

#1 and #2 by themselves don't work, and I think I tried #3 alone earlier.

alpo (alpo) wrote :

I have a Linksys Wireless - G PCI adapter in my linux server with ubuntu dapper and kernel version 2.6.15-23-server. The driver module used seems to be "rt61". I also had the same problem with the system locking down after doing for example "iwlist ra0 scan" or any other operation using the card. And although iwconfig showed the card as ra0, executing "ifconfig ra0" just said the device doesn't exist.

After reading this thread I tried to add "irqpoll" to the kernel parameters and it worked like a charm. Thanks!

So for me, no other tricks than "irqpoll" we're necessary. Although I'm not using X windows in my server.

San (saniwoi) wrote :

Confirm that I also get the system lock with a Dlink DWL-G122 (ver B1) with the -25 kernel.

Ed G. (zrchrn) wrote :

Using the command

sudo dhclient rausb0

allows me to connect to the internet on a WUSB54gv4 wifi card. Using a p4 1.7ghz Desktop with 512 mb of ram. However using the GUI for networking I the computer hangs. Sometimes it hangs on it's own. This problem also happens with the ndiswrapper drivers for my card, I do not know if that is related. (Would IRQ be an issue here?) the irqpoll trick did not fix this problem.

Jonathan Austin (mailforwho) wrote :

Yea, I'm afraid I don't believe this bug is fixed - I still get a lock after doing all updates (so I have the -25 kernel)

I can confirm that this bug is still not fixed in the 2.6.15-25-686 kernel current release of dapper. I still get a complete system freeze as soon as I activate the wl-167g.

I'm using the D-Link DWL-G122 USB stick and receiving the same problem.

Could someone clarify the solution for me?

chotchki (chotchki) wrote :

Is this bug fixed or not? I see the status changed but I have yet to see a fix commited or commented on in the notes.

Ed G. (zrchrn) wrote :

The problem is in the Ubuntu patches as Debian unstable does not suffer this problem.

Is there anyway we can get a kernel that doesn't have the wifi drivers in it? I belive that has alot to do with the instability. Or could someone point me to where I can find the Ubuntu kernel patches and source?

Barry Shilliday (teppic74) wrote :

Problem still exists.

Changed in linux-source-2.6.15:
status: Fix Released → Confirmed
Jacksonz123z (ianfh) wrote :

Yes the presence of my Netgear WG511 wireless card will usually freeze my laptop at boot. Removing the card fixes the problem.
Worked very well in Breezy. Ndiswrapper is used to load driver.

I don't know if there is a solution to this bug as of yet, but I've attached a guide (borrowing heavily from the Ubuntu Wiki) that should run through the process of setting up the D-Link DWL-G122 Wireless USB Adapter using ndiswrapper.

Matt Zimmerman (mdz) on 2006-08-08
Changed in linux-source-2.6.15:
importance: Critical → High
pkt (jcopeba) on 2006-11-07
Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed
Tim Gardner (timg-tpi) on 2007-03-16
Changed in linux-source-2.6.20:
assignee: nobody → kernel-team
status: Unconfirmed → Needs Info
Changed in linux-source-2.6.20:
assignee: kernel-team → timg-tpi
Tim Gardner (timg-tpi) on 2007-03-21
Changed in linux-source-2.6.20:
assignee: timg-tpi → ubuntu-kernel-team
importance: Undecided → Medium
status: Needs Info → Fix Committed
Changed in linux-source-2.6.15:
assignee: ben-collins → ubuntu-kernel-team
Changed in linux-source-2.6.17:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Low
Changed in linux-source-2.6.20:
status: Fix Committed → Fix Released
Changed in linux-source-2.6.17:
status: Confirmed → Won't Fix
Changed in linux-source-2.6.20:
status: Fix Released → Incomplete
Changed in linux-source-2.6.22:
status: Incomplete → Triaged
115 comments hidden view all 195 comments

yes I have tried this, I blacklisted those modules and renamed them, and I
still get a double wlan interface with wmaster0 and I can scan but not
connect to any access points, what could this be? serialmonkey drivers work
fine... but not the ubuntu drivers

sefs (sefsinc) wrote :

I am wondering how one can go from a perfectly working serialmonkey set up in feisty to a totally broken (read hard lock) in gutsy ... what in the world is going on here devs. Talk to us and give us some good news about this being fixed.

marvstod (marvin-stodolsky) wrote :

With a Linux desktop under Feisty, rt2500.ko served and the channel
was automated ra0
Under Gutsy, rt2500pci proved to be functional and the channel was
automated wlan0
During testing, it is a good practice to first unload all of rt2500
rt2500pci rt61 rt73 rt2570:
$ sudo ifdown wlan0
$ sudo ifconfig wlan0 down
$ sudo modprobe -r CurrentTestDriver

Then test each one with
$ sudo modprobe TestDriver
Check auto actions with:
$ ifconfig
$ iwconfig
Even if the iwconfig default is wrong, at this point a first
functionality test can be done with:
$ iwlist wlan0 scan
You wireless router should be represented in the output.
If there are other neighboring stations with the same Address, this
can be a complication

Do
$ iwconfig --help
and
$ man iwconfig
to see how to do manually settings.
$ iwconfig
will display the default settings
You may need to do changes/choices with:
$ sudo iwconfig wlan0 essid YourRouterESSID
$ sudo iwconfig wlan0 ap WirelessStationAddress
Make sure the changes are set with:
$ iwconfig

$ sudo ifdown wlan0
just to clean any old stuff.
Check for compatibility of your settings with those in /etc/network/interfaces
Then hopefully your wireless router will pickup to:
$ sudo ifup wlan0

If it fails, try the next alternate driver.

MarvS
because the default setis sometimes wrong

On 10/19/07, sefs <email address hidden> wrote:
> I am wondering how one can go from a perfectly working serialmonkey set
> up in feisty to a totally broken (read hard lock) in gutsy ... what in
> the world is going on here devs. Talk to us and give us some good news
> about this being fixed.
>
> --
> Ralink Wireless legacy drivers (rt2500 rt61 rt73 rt2570) USB/PCMCIA/PCI hangs PC
> https://bugs.launchpad.net/bugs/34902
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Wolf F. (wfogl) wrote :

rt61pci crashes everytime using synaptic/apt-get...

Menno (m-tjoelker) wrote :

My system is an HP Pavillion S7720 with buit-in RT73 USB wireless card.
When I installed Feisty, I downloaded and compiled the separate rt73 driver from serialmonkey and blacklisted the modules rt73usb, rt2570 and rt2x00lib that came with Ubuntu, following the advice on the Italian Ubuntu wiki. This has worked fine since. Forced by the presence of some legacy hardware, I am using WEP.

When upgrading to Gutsy, I followed the same procedure, this time using the CVS version of the legacy driver, without really thinking about it. Again, the network connection worked instantaneously, without any trouble.

Afterwards, I thought that it might have been worthwhile to try whether the drivers delivered with Gutsy would work as wel and that is why I came here - to see, that my way of working is probably still the best solution.

By the way, the firmware file (rt73.bin) delivered with the distrubution and located in /lib/firmware/2.6.20-16-generic/ is identical to the one that comes with the driver, so does not need to be replaced.

Menno Tjoelker

Kyle M Weller (kylew) wrote :

MennoT, yea I have the same card, usbid 050d:705a, it is a known problem
with that card that the rt2500 usb and the rt73 have the same device id, and
was a programming error on part of ralink, it is unforunate that this
problem isnt being fixed, or a simpler fix being issued.. If im wrong
please let me know or let me know what the exact issue is with these cards
and we can all work together on a fix...
Thankyou,
Kyle Weller

Kyle M Weller (kylew) wrote :

Bus 004 Device 003: ID 050d:705a Belkin Components still not working....
This is a tough card, there are four known versions of this card.
802.11g F5D7050 v.1xxxx Prism54
802.11g F5D7050 v.2xxxx rt2x00
802.11g F5D7050 v.3xxxx man: 050d dev: 705a rt2x00
802.11g F5D7050 v. 4001 ?
 ?
802.11g F5D7050 v.4xxxx man: 050d dev: 705c ZD1211

As you can see by the table there is only 2 known device ids. However v. 2xxxx is still believed to use the ralink chipset which is support under PCLinuxOS 2007. Version 4001of this card is unknown and the v. 40000 uses the ZD1211 chipset which is also support under PCLinuxOS 2007. If you haven't purchased this card yet but want to. Take extnreme caution in making sure there's a decent return policy at the store. As by looking at the box you may not know what version you will be stuck with.
Quick Glance Specs

Network Type: Wireless Ethernet - 11 Mbps IEEE802.11b,
Wireless Ethernet - 54 Mbps IEEE802.11g
Device Type: Network Adapter
Port Types: USB - Universal Serial Bus 1.0/1.1,
USB - Universal Serial Bus 2.0

Wireless Device
Number of Antennas: 1
Device Type: Network Adapter
Network Status Indicators: Link Status

Networking Standards
Wireless Security Features: WEP - 128-bit,
WEP - 64-bit
Features: Integrated Antenna
Speeds Supported: 54 Mbps
Network Architecture Supported: Wireless Ethernet - 11 Mbps IEEE802.11b,
Wireless Ethernet - 54 Mbps IEEE802.11g

Ports
Port Types: USB - Universal Serial Bus 1.0/1.1,
USB - Universal Serial Bus 2.0

Warranty
Warranty Information: Limited Lifetime Warranty

Passeli (passeli) wrote :

Yesterday i did make clean install of Gutsy using PXE, and i am trouble having to get my wireless card working. Computer where i installed is Compaq armada M700 and wireless adapter is Tekcomm NE-9428-g 54M using Ralink rt2500 chipset ( http://www.fsf.org/resources/hw/net/wireless/cards.html ). By default gutsy rt2500pci drivers the card did not work, so i tried using the old drivers (rt2500) by using this guide -> http://ubuntuforums.org/showpost.php?p=3595458&postcount=6. Still no go for the adapter. So currently i have no working wireless network connection :(

Some details:

passeli@pelikaani:/etc/default$ sudo lshw -C network
  *-network
       description: OEM
       physical id: 0
       version: 11Mbps Wireless LAN PC Card V-5
       slot: Socket 0
  *-network
       description: Ethernet interface
       product: 82557/8/9 Ethernet Pro 100
       vendor: Intel Corporation
       physical id: 9
       bus info: pci@0000:00:09.0
       logical name: eth0
       version: 09
       serial: 00:d0:59:0c:69:47
       size: 100MB/s
       capacity: 100MB/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=e100 driverversion=3.5.17-k4-NAPI duplex=full firmware=N/A ip=192.168.2.205 latency=66 link=yes maxlatency=56 mingnt=8 module=e100 multicast=yes port=MII speed=100MB/s

passeli@pelikaani:/etc/default$ sudo iwconfig
lo no wireless extensions.

eth0 no wireless extensions.

irda0 no wireless extensions.

That's about all the information, because it seems that i cannot even get the driver working corretcly so that interface would show up.

IvD (ivdoorn) wrote :

If lshw indicates the device is a 11Mbs device, than it is _not_ a rt2500 device.
What does lspci indicate?

Kyle M Weller (kylew) wrote :

I have a rt73 and I can connect via a static address but not be able to
route to the internet, connect ping etc, when I switch the the serialmonkey
drivers I can connect fine with the same configuration

Kyle M Weller (kylew) wrote :

Any ideas why? and how I can make a static connection work with the rt73usb
driver?

Passeli (passeli) wrote :

lvD: What do you mean that it is not rt2500 device? Only information about wireless pcmcia card from Tekcomm are based on ralink rt2500 chipset.

Here is lspci info:

passeli@pelikaani:/etc/default$ lspci
00:00.0 Host bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev 03)
00:04.0 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:04.1 CardBus bridge: Texas Instruments PCI1450 (rev 03)
00:07.0 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB/EB/MB PIIX4 ACPI (rev 03)
00:08.0 Multimedia audio controller: ESS Technology ES1978 Maestro 2E (rev 10)
00:09.0 Ethernet controller: Intel Corporation 82557/8/9 Ethernet Pro 100 (rev 09)
00:09.1 Serial controller: Agere Systems LT WinModem
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M AGP 2x (rev 64)

IvD (ivdoorn) wrote :

Passeli:
lshw reports your device is 11Mbs, rt2500 devices are 54Mbs.
Furthermore, the reason why the driver isn't working is because even lspci cannot detect your card.
I don't know why lshw does report the card, but lspci doesn't, but the only thing I can conclude from this, is that the driver isn't to blame for this since the problem is in the hardware.
Is the device correctly plugged in? Aren't there irq conflicts?
Does your log indicate anything regarding hardware problems?

Passeli (passeli) wrote :

passeli@pelikaani:/etc/default$ cat /proc/interrupts
           CPU0
  0: 6172457 XT-PIC-XT timer
  1: 7074 XT-PIC-XT i8042
  2: 0 XT-PIC-XT cascade
  6: 5 XT-PIC-XT floppy
  7: 2 XT-PIC-XT parport0
  8: 3 XT-PIC-XT rtc
  9: 8 XT-PIC-XT acpi
 11: 98929 XT-PIC-XT uhci_hcd:usb1, yenta, yenta, ESS Maestro, eth0
 12: 414 XT-PIC-XT i8042
 14: 535989 XT-PIC-XT libata
 15: 0 XT-PIC-XT libata
NMI: 0
LOC: 0
ERR: 0
MIS: 0

Card is corretly plugged in, and it works in windows. Following text appears in log when ejecting and then inserting the card:
[42126.648000] pccard: card ejected from slot 0
[42133.812000] pccard: PCMCIA card inserted into slot 0
[42133.812000] pcmcia: registering new device pcmcia0.0

This is the only other information found in logs:

passeli@pelikaani:/etc/default$ dmesg | grep pcmcia
[ 47.164000] pcmcia: registering new device pcmcia0.0
[12631.004000] pcmcia: Detected deprecated PCMCIA ioctl usage from process: lshw.
[12631.004000] pcmcia: This interface will soon be removed from the kernel; please expect breakage unless you upgrade to new tools.
[12631.004000] pcmcia: see http://www.kernel.org/pub/linux/utils/kernel/pcmcia/pcmcia.html for details.
[37603.084000] pcmcia: registering new device pcmcia0.0
[42133.812000] pcmcia: registering new device pcmcia0.0
passeli@pelikaani:/etc/default$ dmesg | grep cardbus
[ 20.295662] PCI: Bus 2, cardbus bridge: 0000:00:04.0
[ 20.295718] PCI: Bus 6, cardbus bridge: 0000:00:04.1

How do i find out what chipset i have in my wireless network card?

IvD (ivdoorn) wrote :

What is the name of the windows driver?

Passeli (passeli) wrote :

Don't remember windows driver name, something generic mumbo jumbo. But went the hard way and opened the adapter casing :) Chipset inside is Atmel AT76C502A. It seems that it has linux drivers, but gutsy doesn't work out of box with the adapter card.

My Linksys WMP54G v4.1 (rt61) is now working perfectly on 7.10 using the instructions in the link below.

http://ubuntuforums.org/showthread.php?p=3830958#post3830958

Hope the rest of you see progress soon!

Bye!

marvstod (marvin-stodolsky) wrote :

My wireless worked fine under 2.6.20 kernels with the rt2500 driver.
Upon update to Gutsy, service was very poor with the recommended rt2500pci

So I installed the Feisty linux-image-2.6.20-16-generic package under Gutsy ,
and am connecting fine using its rt2500 driver under 2.6.20-16-generic bootups

MarvS

On Nov 24, 2007 2:38 PM, Mark Tiffany <email address hidden> wrote:
> My Linksys WMP54G v4.1 (rt61) is now working perfectly on 7.10 using the
> instructions in the link below.
>
> http://ubuntuforums.org/showthread.php?p=3830958#post3830958
>
> Hope the rest of you see progress soon!
>
> Bye!
>
>
> --
> Ralink Wireless legacy drivers (rt2500 rt61 rt73 rt2570) USB/PCMCIA/PCI hangs PC
> https://bugs.launchpad.net/bugs/34902
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Confirming issue on Gutsy 32bit & 64bit Ubuntu and kbuntu

Chpset Network controller: RaLink RT2561/RT61 rev B 802.11g

I also can confirm on Ubuntu Gutsy 32 bit:
Linux version 2.6.22-14-generic (buildd@terranova) (gcc version 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)) #1 SMP Tue Dec 18 08:02:57 UTC 2007
Using Linksys WUSB54GR with rt73 chipset.

I solved my problem downloading the cvs driver directly from serailmonkey:
http://rt2x00.serialmonkey.com/wiki/index.php/Downloads

Then i recompiled the dirver and reloaded the rt73 module, now it seems to work fine.

Fernando Chávez (nandoc) wrote :

Hola,
FINALLY... this applies to RT73 based dongles or similar (my case: TP-LINK TL_WN321g)
Thanks to all of you, after months of trial and error, and so many pages read:
This is based on:
http://generacionlibre.es/?p=11#comments who based on:
http://terminusblog.wordpress.com/2007/08/04/instalacion-de-dispositivo-wifi-linksys-wusb54gc-en-ubuntu-feisty/

So this goes in English and adapted, sort of a HOWTO:
1) Install:
    sudo apt-get install build-essential linux-headers-`uname -r`
2)Download:
    sudo wget http://rt2×00.serialmonkey.com/rt73-cvs-daily.tar.gz
3) Unpack the previous tar.gz ("home" would be perfect)
3) Change to the following directory:
    cd /rt73-cvs-yyyymmddhh/Module (based on where you unpacked it)
4) Make:
   sudo make
      Just ignore the message:
    !!! WARNING: Module file much too big (>1MB)
    !!! Check your kernel settings or use ’strip’
5) sudo strip -S rt73.ko
6) sudo make install
7) Get rid off network manager:
    sudo aptitude purge network-manager
8) May or may not be necessary, to ease things??????
    sudo apt-get install rutilt
9) Turn off the wlan0 for a while:
    sudo ifconfig wlan0 down
10) Remove the following troublemakers:
    sudo modprobe -r rt73usb
    sudo modprobe -r rt2570
    sudo modprobe -r rt2500usb
    sudo modprobe -r rt2×00lib
11) Blacklist the above, this is a must, as pointed out by some of you, open an editor:
    sudo gedit /etc/modprobe.d/blacklist
12) Add to the end of the file:
    # Blacklist rt73usb, as it is a non-functional beta module which conflicts with the working rt73 module.
    blacklist rt73usb
    # Blacklist rt2570, as it causes conflicts with rt73
    blacklist rt2570
    # Other modules that break rt73
    blacklist rt2500usb
    blacklist rt2×00lib
13) Load the module:
    sudo modprobe -v rt73
14) Now you can play with RutilIT, click on menu: Applications/Internet/RutilIT...
or
15) Even better open interfaces:
      sudo gedit /etc/network/interfaces
16)Add the following lines (for auto DHCP) according to your personal set-ups, but make sure to block (mask using #) all other references to eth0 or similar, if not this WON'T work:
     #auto eth0
     #iface eth0 inet dhcp
    auto wlan0
    iface wlan0 inet dhcp
    pre-up ifconfig wlan0 up
    pre-up iwconfig wlan0 essid YOUR_SSID
    pre-up iwconfig wlan0 mode managed
    pre-up iwpriv wlan0 set AuthMode=WPAPSK
    pre-up iwpriv wlan0 set EncrypType=TKIP
    pre-up iwpriv wlan0 set WPAPSK=YOUR_PASS_KEY_IN_HEXADEC
Or (for manual DHCP)
    #auto eth0
    #iface eth0 inet dhcp
    auto wlan0
    iface wlan0 inet static
    address 192.168.1.2 (or what ever yours is)
    netmask 255.255.255.0 (or what .....)
    gateway 192.168.1.1 (or what .....)
    pre-up ifconfig wlan0 up
    pre-up iwconfig wlan0 essid YOUR_SSID
    pre-up iwconfig wlan0 mode managed
    pre-up iwpriv wlan0 set AuthMode=WPAPSK
    pre-up iwpriv wlan0 set EncrypType=TKIP
    pre-up iwpriv wlan0 set WPAPSK=YOUR_PASS_KEY_IN_HEXADEC
17) Save the file,
18) Reboot and you should be connected

Hasta pronto, let me know,
Fernando

lesshaste (clifford-cs) wrote :

I had terrible problems with my Edimax rt73 USB dongle (Bus 003 Device 002: ID 148f:2573 Ralink Technology, Corp.).

First I tried the trick of sudo modprobe -rv rt2500usb; sudo modprobe -rv rt73usb; sudo modprobe rt73usb

This got the networking working but it would then stop after a few minutes and then go into a stuck state if I tried to repeat the modprobe trick.

I have followed the instructions from https://bugs.launchpad.net/ubuntu/+bug/34902/comments/177 and it seems to have fixed it! The only oddity is that dmesg gives me a dozen or so lines that say NOHZ: local_softirq_pending 08 now. Any idea what this means?

I also miss nm-applet and it's nice graphical wireless strength meter :)

Raphael

Fernando Chávez (nandoc) wrote :

Hola,
You may use RutilT instead of nm-applet...
Works the same way

Savvas Radevic (medigeek) wrote :

you have a typo there, you use character × instead of x. rt2×00lib doesn't exist, so that should be rt2x00lib :)

Fernando Chávez (nandoc) wrote :

you are right Savvas, it should have been:
 http://rt2x00.serialmonkey.com/rt73-cvs-daily.tar.gz
Sorry for the mistake.
Hasta pronto,
Fernando

Timo Aaltonen (tjaalton) wrote :

already filed against the kernel, no need to keep open for Ubuntu.

Fernando Chávez (nandoc) wrote :

Hola,
There was a typo, it should be:
http://rt2x00.serialmonkey.com/rt73-cvs-daily.tar.gz

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Omar Campana (omarcampana) wrote :

Hi Fernando,
I'm a new joiner and I would ask some help on your HowTo procedure. I've tried to apply it but unfortunately it doesn't work
in my case (TL-WN321G).
Maybe the problem is related to my /etc/network/interfaces file. Hereafter the content of my file:

#auto lo
#iface lo inet loopback
#auto eth0
#iface eth0 inet dhcp
auto wlan0
iface wlan0 inet dhcp
pre-up ifconfig wlan0 up
pre-up iwconfig wlan0 essid OmarWiFi
pre-up iwconfig wlan0 mode managed
pre-up iwpriv wlan0 set AuthMode=WPAPSK
pre-up iwpriv wlan0 set EncrypType=TKIP
pre-up iwpriv wlan0 set WPAPSK=***MY_PSWD_CODE_IN_HEXADEC***

As you can see I blocked entries according to your suggestions, but unfortunately it doesn't solve my problem.
Could you please help me on this?

Many thanks

Magnes (magnesus2) wrote :

This bug is still in Ubuntu 9.04. Common, just add rt2x00 from serialmonkey to the repository and ditch this stupid driver.

> This bug is still in Ubuntu 9.04. Common, just add rt2x00 from
> serialmonkey to the repository and ditch this stupid driver.

Well the in-kernel driver _is_ the rt2x00 driver.

But I assume you mean the deprecated legacy drivers instead,
those drivers have been removed from the rt2x00 project.
There was a call for maintainers for those drivers, but nobody
was interested in that job.

Ivo

Sergio Zanchetta (primes2h) wrote :

The 18 month support period for Gutsy Gibbon 7.10 has reached its end of life -
http://www.ubuntu.com/news/ubuntu-7.10-eol . As a result, we are closing the
linux-ubuntu-modules-2.6.22 task.

Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Triaged → Won't Fix
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: High → Medium
status: Invalid → New

For anyone still experiencing an issue with Jaunty could you run the following apport-collect command from a Terminal. It will gather and attach updated debug information to this report. Thanks.

apport-collect -p linux-image-2.6.28-11-generic 34902

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: needs-kernel-logs

Architecture: amd64
Dependencies:

DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=9e717d36-d848-40fe-beaa-78e240e0b20c
MachineType: Unknow Unknow
NonfreeKernelModules: nvidia
Package: linux-image-2.6.28-11-generic None [modified: /var/lib/dpkg/info/linux-image-2.6.28-11-generic.list]
PackageArchitecture: amd64
ProcCmdLine: root=UUID=e8f59002-8dbe-4f68-9454-1078c7c965b1 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.28-15.52-generic
Uname: Linux 2.6.28-15-generic x86_64
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin netdev plugdev powerdev pulse pulse-access pulse-rt scanner tape video

fist1231 (fist1231) wrote :

Architecture: amd64
Dependencies:

DistroRelease: Ubuntu 9.04
HibernationDevice: RESUME=UUID=9e717d36-d848-40fe-beaa-78e240e0b20c
MachineType: Unknow Unknow
NonfreeKernelModules: nvidia
Package: linux-image-2.6.28-11-generic None [modified: /var/lib/dpkg/info/linux-image-2.6.28-11-generic.list]
PackageArchitecture: amd64
ProcCmdLine: root=UUID=e8f59002-8dbe-4f68-9454-1078c7c965b1 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-15.52-generic
Uname: Linux 2.6.28-15-generic x86_64
UserGroups:

Hrm, the apport-collect command didn't seem to attach what I expected it to. Care to instead test the latest Karmic release since it contains a newer 2.6.31 based kernel and let us know your results. Assuming the issue remains, could you then try re-running apport-collect but use:

apport-collect -p linux 34902

Also, ISO CD images for Karmic can be found at http://cdimage.ubuntu.com/releases/karmic/ . Thanks!

papukaija (papukaija) wrote :

We'd like to figure out what's causing this bug for you, but we haven't heard back from you in a while. Could you please provide the requested information? Thanks!

Changed in linux-source-2.6.22 (Baltix):
status: New → Incomplete

Am Sa, 9.01.2010, 22:50 schrieb papukaija:
> We'd like to figure out what's causing this bug for you, but we haven't
> heard back from you in a while. Could you please provide the requested
> information? Thanks!
>
> ** Changed in: linux-source-2.6.22 (Baltix)
> Status: New => Incomplete
>
> --
> Ralink Wireless legacy drivers (rt2500 rt61 rt73 rt2570) USB/PCMCIA/PCI
> hangs PC
> https://bugs.launchpad.net/bugs/34902
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>

I do not have a similar setup right now,
so I can no longer help you here.

--
MfG,

Stefan Sonnenberg-Carstens

IT Architect
- Project management
- System analysis, design and build
- Security and business continuity
- IT risk management

papukaija (papukaija) wrote :

We are closing this bug report because it lacks the information we need to investigate the problem, as described in the previous comments. Please reopen it if you can give us the missing information, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in linux-source-2.6.22 (Baltix):
status: Incomplete → Invalid
Displaying first 40 and last 40 comments. View all 195 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers